import { NavOptions } from "ionic-angular";
export interface FooterMenuItem {
    page: string;
    icon: string;
    params?: object;
    resetRoot?: boolean;
    navOptions?: NavOptions;
    setActive(): void;
    setPasive(): void;
}
export interface BurgerMenuItem {
    page: string;
    icon: string;
    text: string;
    params?: object;
    resetRoot?: boolean;
    navOptions?: NavOptions;
    setActive(): void;
    setPasive(): void;
}
declare enum SideAlternative {
    Left = 0,
    Right = 1
}
export interface ComponentDefinition {
    component: string;
    entry: any;
    navParams?: any;
    navOptions?: NavOptions;
}
interface SideMenuInterface {
    enable?: boolean;
    visible?: boolean;
    items: Array<ComponentDefinition>;
    toogleFooter?: {
        enable?: boolean;
        visible?: boolean;
        side: SideAlternative;
    };
    toogleHeader?: {
        enable?: boolean;
        visible?: boolean;
        side: SideAlternative;
    };
}
export interface MenuConfigInterface {
    Footer?: {
        enable?: boolean;
        visible?: boolean;
        items: Array<ComponentDefinition>;
    };
    SideRight?: SideMenuInterface;
    SideLeft?: SideMenuInterface;
}
export {};
