import { Component, Inject, Input } from "@angular/core";
import { MENU_MODULE_CONFIG } from "../module.config.json";
var SideMenu = /** @class */ (function () {
    function SideMenu(menuconf) {
        this.menuconf = menuconf;
    }
    SideMenu.prototype.ngAfterViewInit = function () {
    };
    SideMenu.decorators = [
        { type: Component, args: [{
                    selector: 'side-menu',
                    template: "\n        <ion-menu  [content]=\"content\" side=\"right\" *ngIf=\"menuconf.SideRight?.enable\">\n            <ion-header>\n                <ion-toolbar>\n                    <dynamic style=\"width: inherit;\" [component]=\"menuconf.SideRight.header\" ></dynamic>\n                </ion-toolbar>\n            </ion-header>\n            <ion-content>\n                <dynamic style=\"width: inherit;\" [component]=\"i\"  *ngFor=\"let i of menuconf.SideRight.items\"></dynamic>\n            </ion-content>\n            <ion-footer>\n                <dynamic style=\"width: inherit;\" [component]=\"menuconf.SideRight.footer\" ></dynamic>\n            </ion-footer>\n        </ion-menu>\n    "
                },] },
    ];
    /** @nocollapse */
    SideMenu.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: Inject, args: [MENU_MODULE_CONFIG,] },] },
    ]; };
    SideMenu.propDecorators = {
        "content": [{ type: Input },],
    };
    return SideMenu;
}());
export { SideMenu };
//# sourceMappingURL=side-menu.js.map