import { Component } from '@angular/core';
import { App } from "ionic-angular";
/**
 * Generated class for the MenuBurgerItemComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
var MenuBurgerItemComponent = /** @class */ (function () {
    function MenuBurgerItemComponent(app) {
        var _this = this;
        this.app = app;
        this.nav = this.app.getActiveNav();
        this.nav.viewWillEnter.subscribe(function (data1) {
            if (data1.name === _this.page) {
                //this.active=true;
                //this.active=true;
                _this.setActive();
            }
        });
        this.nav.viewWillLeave.subscribe(function (data1) {
            if (data1.name === _this.page) {
                //this.active=false;
                //this.active=false;
                _this.setPasive();
            }
        });
    }
    MenuBurgerItemComponent.prototype.setActive = function () {
    };
    MenuBurgerItemComponent.prototype.setPasive = function () {
    };
    MenuBurgerItemComponent.prototype.openPage = function () {
        var activ = this.nav.getActive();
        if (activ.name !== this.page && activ.data !== this.params) {
            this.nav.setRoot(this.page, this.navParams);
        }
    };
    MenuBurgerItemComponent.decorators = [
        { type: Component, args: [{
                    selector: 'menu-burger-item',
                    template: "\n      <ion-item menuClose  (click)=\"openPage(p)\">\n          <i class=\"fa fa-{{icon}}\"></i>\n          {{text}}\n      </ion-item>"
                },] },
    ];
    /** @nocollapse */
    MenuBurgerItemComponent.ctorParameters = function () { return [
        { type: App, },
    ]; };
    return MenuBurgerItemComponent;
}());
export { MenuBurgerItemComponent };
//# sourceMappingURL=menu-burger-item.js.map