import { Component } from '@angular/core';
import { App } from "ionic-angular";
/**
 * Generated class for the MenuFooterItemComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
var MenuFooterItemComponent = /** @class */ (function () {
    function MenuFooterItemComponent(app) {
        var _this = this;
        this.app = app;
        this.nav = this.app.getActiveNav();
        this.active = false;
        this.nav.viewWillEnter.subscribe(function (data1) {
            if (data1.id === _this.page) {
                //this.active=true;
                //this.active=true;
                _this.setActive();
            }
        });
        this.nav.viewWillLeave.subscribe(function (data1) {
            if (data1.id === _this.page) {
                //this.active=false;
                //this.active=false;
                _this.setPasive();
            }
        });
    }
    MenuFooterItemComponent.prototype.setActive = function () {
        this.active = true;
    };
    MenuFooterItemComponent.prototype.setPasive = function () {
        this.active = false;
    };
    MenuFooterItemComponent.prototype.openPage = function () {
        var activ = this.nav.getActive();
        if (activ.name !== this.page && activ.data !== this.params) {
            this.nav.setRoot(this.page, this.navParams);
        }
    };
    MenuFooterItemComponent.decorators = [
        { type: Component, args: [{
                    selector: 'menu-footer-item',
                    template: "<button menuClose ion-item (click)=\"openPage()\" class=\"btn btn-default\">\n              <i class=\"fa fa-{{icon}}\" [ngClass]=\"{'active':active,'pasive':!active}\"></i>\n            </button>"
                },] },
    ];
    /** @nocollapse */
    MenuFooterItemComponent.ctorParameters = function () { return [
        { type: App, },
    ]; };
    return MenuFooterItemComponent;
}());
export { MenuFooterItemComponent };
//# sourceMappingURL=menu-footer-item.js.map