import { Component, Inject } from "@angular/core";
import { MENU_MODULE_CONFIG } from "../module.config.json";
var FooterMenu = /** @class */ (function () {
    function FooterMenu(menuconf) {
        this.menuconf = menuconf;
    }
    FooterMenu.prototype.ngAfterViewInit = function () {
    };
    FooterMenu.decorators = [
        { type: Component, args: [{
                    selector: 'footer-menu',
                    template: "\n    <ion-footer *ngIf=\"menuconf.Footer?.visible\" style=\"display: flex\">\n      <button *ngIf=\"menuconf.SideLeft?.toogleFooter?.visible\" ion-button menuToggle left>\n        <ion-icon name=\"menu\"></ion-icon>\n      </button>\n      <dynamic style=\"width: inherit;\" [component]=\"i\"  *ngFor=\"let i of menuconf.Footer.items\"></dynamic>\n      <!--<div #footerit>\n      </div>-->\n      <button *ngIf=\"menuconf.SideRight?.toogleFooter?.visible\"  ion-button menuToggle right>\n        <ion-icon name=\"menu\"></ion-icon>\n      </button>\n    </ion-footer>\n    "
                },] },
    ];
    /** @nocollapse */
    FooterMenu.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: Inject, args: [MENU_MODULE_CONFIG,] },] },
    ]; };
    return FooterMenu;
}());
export { FooterMenu };
//# sourceMappingURL=footer-menu.js.map